textures/rprtexpack/Sky
{
	qer_editorimage textures/rprtexpack/sky-001.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 500
	skyparms - 512 -

	{
		map textures/rprtexpack/sky-002.tga
		tcMod scroll 0.2 0.1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/rprtexpack/sky-001.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.1 0.05
		tcMod scale 1 1
	}
}

textures/rprtexpack/blood
{
	qer_editorimage textures/rprtexpack/flesh-008.tga
	q3map_globaltexture
	surfaceparm water
	surfaceparm nodrop
	surfaceparm nosteps
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 450
	tesssize 64
	deformVertexes wave 100 triangle 2 2 0 0.5
	qer_trans 0.6

	{
		map textures/rprtexpack/flesh-008.tga
		tcMod turb 1 0.05 1 0.25
	}
}

textures/rprtexpack/chains
{
	qer_editorimage textures/rprtexpack/chain.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2

	{
		map textures/rprtexpack/chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

textures/rprtexpack/fire-01
{
	qer_editorimage textures/rprtexpack/fire-004.tga
	q3map_lightimage textures/rprtexpack/fire-004.tga
	q3map_surfacelight 2000
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact

	{
		map textures/rprtexpack/fire-004.tga
		tcMod scroll 0.3 1.7
		rgbGen identity
	}
}

textures/rprtexpack/lava-01
{
	qer_editorimage textures/rprtexpack/fire-007.tga
	q3map_globaltexture
	surfaceparm lava
	surfaceparm nodrop
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1500
	tesssize 128
	deformVertexes wave 100 sin 2 2 0 0.1

	{
		map textures/rprtexpack/fire-007.tga
		blendfunc GL_ONE GL_ZERO
		tcMod turb 0 0.05 0 0.05
	}
}

textures/rprtexpack/oil
{
	qer_editorimage textures/rprtexpack/oil-001.tga
	q3map_globaltexture
	surfaceparm water
	surfaceparm nodrop
	surfaceparm nosteps
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 450
	tesssize 64
	deformVertexes wave 100 triangle 5 5 0 0.1
	qer_trans 0.6

	{
		map textures/rprtexpack/oil-001.tga
		tcMod turb 0.05 0.05 0.05 0.05
		rgbGen lightingDiffuse
	}
	{
		map textures/rprtexpack/oil-001.tga
		blendfunc blend
		rgbGen identity
		tcGen environment
	}
	{
		map textures/rprtexpack/oil-001.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb 0.05 0.05 0.05 0.05
	}
}

textures/rprtexpack/vortex01
{
	qer_editorimage textures/rprtexpack/fx-008-a.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 500

	{
		clampmap textures/rprtexpack/fx-008-a.tga
		blendfunc blend
		tcMod rotate 45
	}
	{
		clampmap textures/rprtexpack/fx-008-b.tga
		blendFunc GL_ONE GL_ONE
		tcMod rotate 90
	}
	{
		clampmap textures/rprtexpack/fx-008-c.tga
		blendFunc GL_ONE GL_ONE
		tcMod rotate 135
	}
}
